Package org.springframework.orm.hibernate5

# Class SpringSessionContext

java.lang.Object
org.springframework.orm.hibernate5.SpringSessionContext

All Implemented Interfaces:
  `Serializable`, `CurrentSessionContext`

public class SpringSessionContext extends Object implements CurrentSessionContext
Implementation of Hibernate 3.1's `CurrentSessionContext` interface that delegates to Spring's `SessionFactoryUtils` for providing a Spring-managed current `Session`.

This CurrentSessionContext implementation can also be specified in custom SessionFactory setup through the "hibernate.current_session_context_class" property, with the fully qualified name of this class as value.

Since:
  4.2
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SpringSessionContext(SessionFactoryImplementor sessionFactory)`
Create a new SpringSessionContext for the given Hibernate SessionFactory.

## Method Summary

Modifier and Type
Method
Description
`Session`
`currentSession()`
Retrieve the Spring-managed Session for the current thread, if any.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpringSessionContext

public SpringSessionContext(SessionFactoryImplementor sessionFactory)
Create a new SpringSessionContext for the given Hibernate SessionFactory.

Parameters:
  `sessionFactory` - the SessionFactory to provide current Sessions for

## Method Details

### currentSession

public Session currentSession() throws HibernateException
Retrieve the Spring-managed Session for the current thread, if any.

Specified by:
  `currentSession` in interface `CurrentSessionContext`
Throws:
  `HibernateException`